requires = [
    "setuptools>=61.0"
]
build-backend = "setuptools.build_meta"

[project]
name = "pyCnnImageClassifier"
description = "Python CNN image classification from with jupyter, torch, torchvision and pillow"
dynamic = ["version"]
requires-python = ">=3.12"
authors = [
    { name = "Jens Ahrensfeld" }
]
dependencies = [
    "pillow",
    "torch",
    "torchvision",
    "jupyterlab"
]

[[tool.uv.index]]
# Optional name for the index.
name = "pytorch"
# Required URL for the index.
url = "https://download.pytorch.org/whl/cu126"


readme = "README.md"
